Tecnologia e non solo

luglio 30, 2008

La “freccia” spezzata?

Filed under: Archlinux — telperion @ 12:35 pm

Archlinux ha deciso che IO devo usare kde4 per forza.

Premetto che uso GNOME come desktop, ho ovviamente installato kde3base per usare Amarol K3B Kdenlive e compilare programmi con base qt e kde quindi ho parecchia roba che gira.

Bene oggi al consueto:
sudo pacman -Syu

ottengo

[mc@mc-arch ~]$ sudo pacman -Syu
:: Sincronizzazione dei database in corso...
 core                      32,0K  177,5K/s 00:00:00 [#####################] 100%
 extra                    407,2K  213,4K/s 00:00:02 [#####################] 100%
 community                353,8K  213,0K/s 00:00:02 [#####################] 100%
:: Aggiornamento del sistema in corso...
:: Sostituire kde-i18n-it con extra/kde-l10n-it? [S/n] n
:: Sostituire kde-common con extra/kdebase-workspace? [S/n] n
:: Sostituire arts con extra/kdelibs? [S/n] n

Pacchetti: faad2-2.6.1-1  ffmpeg-20080715-3  xine-lib-1.1.14-2  
           kdelibs3-3.5.9-1  amarok-engine-xine-1.4.9.1-2  
           amarok-base-1.4.9.1-2  avidemux-2.4.3-1  bash-3.2.039-2  
           gcc-libs-4.3.1-3  gcc-4.3.1-3  gstreamer0.10-bad-plugins-0.10.7-3  
           intltool-0.40.3-1  k3b-1.0.5-1  qt-4.4.0-7  phonon-4.2.0-1  
           clucene-0.9.20-1  strigi-0.5.11-1  raptor-1.4.18-1  redland-1.0.8-1  
           soprano-2.1-1  kdelibs-4.1.0-3  rarian-0.8.0-2  
           kdebase-runtime-4.1.0-1  kdebase-4.1.0-2  zip-3.0-1  

Dimensione totale dei pacchetti scaricati:    179,78 MB
Dimensione totale dei pacchetti installati:   397,22 MB


Ora:

– sicuro che se installo tutto quel mare di cose kde4 non si “imputtana” tutto?
Gli stessi gestori del forum avvisano di procedere con cautela.

– visto che le 3 applicazioni suddette che uso, non sono neppure disponibili per qt4, per quale malsano motivo devo affrontare questo casino?

– che fine fanno temi icone e personalizzazioni varie di kde3 per integrarsi con gnome? Libreire e copertine di Amarok pazientemente ricercate?

– ma non era Gnu/Linux la “terra promessa” della libertà di scelta?

Detto questo, prima che faccio un bel mke2fs -j sulla partizione archlinux, c’è un modo semplice per mantenere il kde3base senza subire questa violenza?

Bella mossa, complimenti.

Qui:
http://kdemod.ath.cx/bbs/viewtopic.php?id=892
praticamente si dice di usare kde3mod rimuovendo prima tutto kde.

Ma siete pazzi? Quanti utenti vi costerà stà minchiata?
Non era più normale un pacman -S kde4-base se uno voleva kde4?

Boh mi prude il mke2fs….
aspettiamo qualche giorno.

Aggiornamento:
stand-by provvisorio:

sudo gedit /etc/pacman.conf

aggiunte le righe in testa

IgnoreGroup = kde
IgnorePkg = amarok-engine-xine amarok-base k3b kde-i18n-it

ora sudo pacman -Syu mi da:

Pacchetti: faad2-2.6.1-1  avidemux-2.4.3-1  bash-3.2.039-2  ffmpeg-20080715-3  
           gcc-libs-4.3.1-3  gcc-4.3.1-3  gstreamer0.10-bad-plugins-0.10.7-3  
           intltool-0.40.3-1  qt-4.4.0-7  rarian-0.8.0-2  xine-lib-1.1.14-2  
           zip-3.0-1  

Dimensione totale dei pacchetti scaricati:    60,57 MB
Dimensione totale dei pacchetti installati:   161,03 MB

Procedere con l'installazione? [S/n] 

e tutta la situazione kde resta per ora “congelata”.

Annunci

6 commenti

  1. Se c’è una cosa che veramente apprezzo di te è il fatto che quando trovi qualcosa che non ti aggrada scancheri in uguale modo, con gli stessi toni e quindi con assoluta imparzialità sia contro Ubuntu, che contro Arch che contro chicchessia 😀

    Battutona a parte: in effetti è un comportamento assurdo, e non sei il solo che lo critica.
    Non tirerei in ballo la libertà di scelta assoluta qui, perchè comunque quando si sceglie una distro è ovvio che si accettano implicitamente, più o meno, le scelte fatte dai mantainer, ciònondimeno effettivamente chi vuole mantenere Kde3 si trova veramente incasinato sto giro.

    Commento di Cobra78 — luglio 30, 2008 @ 12:57 pm

  2. kde3mod e kde non sono mai stati compatibili tra di loro. Da quello che leggo usl sito di archlinux kde4 dovrebbe stare solo in testing, strano!
    To make it possible for Arch users to join the release party in time, there
    are packages for 4.1 in our [testing] repository. Please take this chance to
    test those and report any packaging bugs using the bug tracker.

    devono aver fatto qualche casino O_o

    Commento di paolino — luglio 30, 2008 @ 12:59 pm

  3. @Cobra78
    io “scanchero” uguale contro le cose che ritengo (magari anche a torto) “stupide”.
    Non ho preconcetti contro nessuno.

    Commento di telperion — luglio 30, 2008 @ 1:01 pm

  4. @paolino
    No sono in extra.

    Per quanto mi riguarda non mi interessa minimamente installare kdemod ma mi pare l’unica strada per evitare kde4.
    Installando i pacchetti kdemod3 poi pacman non rompe più i maroni anche se non so le ripercussioni sull’installato.

    Ormai per pacman kde = kde4 e di kde3 vengono fornite solo le lib

    Commento di telperion — luglio 30, 2008 @ 1:05 pm

  5. […] — telperion @ 4:27 pm Complice il caldo feroce ed il condizionatore a palla, ho effettuato l’upgrade “forzato” a kde4 su Archlinux (previo […]

    Pingback di La “freccia” nel centro. « Tecnologia e non solo — luglio 30, 2008 @ 4:27 pm

  6. che cagata. Arrivato il 4.1, ultraincompleto instabile eccetera via il 3.5. Follia pura.

    Commento di LuNa — luglio 30, 2008 @ 5:05 pm


RSS feed for comments on this post.

%d blogger hanno fatto clic su Mi Piace per questo: